NX Open C++ Reference Guide
|
Represents a Mechatronics::CylindricalJoint builder. More...
Public Member Functions | |
NXOpen::Point * | AnchorPoint () |
Returns the anchor point. | |
NXOpen::Direction * | AxisVector () |
Returns the axis vector. | |
NXOpen::Expression * | Offset () |
Returns the offset value. | |
void | SetAnchorPoint (NXOpen::Point *anchorPoint) |
Sets the anchor point. | |
void | SetAxisVector (NXOpen::Direction *axisVector) |
Sets the axis vector. | |
NXOpen::Expression * | StartAngle () |
Returns the start angle. | |
![]() | |
NXOpen::SelectNXObject * | Attachment () |
Returns the attachment of joint. | |
NXOpen::SelectNXObject * | Base () |
Returns the base of joint. | |
NXString | Name () |
Returns the name. | |
void | SetAttachment (NXOpen::NXObject *attachment) |
Sets the attachment. | |
void | SetBase (NXOpen::NXObject *base) |
Sets the base. | |
void | SetName (const NXString &name) |
Sets the name. | |
void | SetName (const char *name) |
Sets the name. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Mechatronics::CylindricalJoint builder.
To create a new instance of this class, use Mechatronics::CylindricalJointCollection::CreateCylindricalJointBuilder
Created in NX7.5.1.
NXOpen::Point* NXOpen::Mechatronics::CylindricalJointBuilder::AnchorPoint | ( | ) |
Returns the anchor point.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::Direction* NXOpen::Mechatronics::CylindricalJointBuilder::AxisVector | ( | ) |
Returns the axis vector.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::Expression* NXOpen::Mechatronics::CylindricalJointBuilder::Offset | ( | ) |
Returns the offset value.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
void NXOpen::Mechatronics::CylindricalJointBuilder::SetAnchorPoint | ( | NXOpen::Point * | anchorPoint | ) |
Sets the anchor point.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
anchorPoint | anchorpoint |
void NXOpen::Mechatronics::CylindricalJointBuilder::SetAxisVector | ( | NXOpen::Direction * | axisVector | ) |
Sets the axis vector.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
axisVector | axisvector |
NXOpen::Expression* NXOpen::Mechatronics::CylindricalJointBuilder::StartAngle | ( | ) |
Returns the start angle.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")